module abstractfactory.pizzaingredientfactory;

import abstractfactory.dough;
import abstractfactory.sauce;
import abstractfactory.cheese;
import abstractfactory.veggies;
import abstractfactory.pepperoni;
import abstractfactory.clams;

interface PizzaIngredientFactory
{
    Dough createDough();
    Sauce createSauce();
    Cheese createCheese();
    Veggies[] createVeggies();
    Pepperoni createPepperoni();
    Clams createClam();
}
